Package org.eclipse.emf.cdo.common.model

## Interface CDOType

-     public interface CDOType

  Provides access to all CDO-supported data types.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOType` | `BIG_DECIMAL` |
    `static CDOType` | `BIG_INTEGER` |
    `static CDOType` | `BLOB` |
    `static CDOType` | `BOOLEAN` |
    `static CDOType` | `BOOLEAN_OBJECT` |
    `static CDOType` | `BYTE` |
    `static CDOType` | `BYTE_ARRAY` |
    `static CDOType` | `BYTE_OBJECT` |
    `static CDOType` | `CHAR` |
    `static CDOType` | `CHARACTER_OBJECT` |
    `static CDOType` | `CLOB` |
    `static CDOType` | `CUSTOM` |
    `static CDOType` | `DATE` |
    `static CDOType` | `DOUBLE` |
    `static CDOType` | `DOUBLE_OBJECT` |
    `static CDOType` | `ENUM_LITERAL` |
    `static CDOType` | `ENUM_ORDINAL` |
    `static CDOType` | `EXCEPTION` |
    `static CDOType` | `FEATURE_MAP_ENTRY` | Deprecated. As of 4.5 `feature maps` are no longer supported.
    `static CDOType` | `FLOAT` |
    `static CDOType` | `FLOAT_OBJECT` |
    `static CDOType` | `INT` |
    `static CDOType` | `INTEGER_OBJECT` |
    `static CDOType` | `JAVA_CLASS` |
    `static CDOType` | `JAVA_OBJECT` |
    `static CDOType` | `LIST` |
    `static CDOType` | `LONG` |
    `static CDOType` | `LONG_OBJECT` |
    `static CDOType` | `MAP` |
    `static CDOType` | `OBJECT` |
    `static CDOType` | `OBJECT_ARRAY` |
    `static CDOType` | `SET` |
    `static CDOType` | `SHORT` |
    `static CDOType` | `SHORT_OBJECT` |
    `static CDOType` | `STRING` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `adjustReferences​(CDOReferenceAdjuster adjuster, java.lang.Object value, org.eclipse.emf.ecore.EStructuralFeature feature, int index)` |
    `boolean` | `canBeNull()` |
    `java.lang.Object` | `convertToCDO​(org.eclipse.emf.ecore.EClassifier feature, java.lang.Object value)` |
    `java.lang.Object` | `convertToEMF​(org.eclipse.emf.ecore.EClassifier feature, java.lang.Object value)` |
    `java.lang.Object` | `copyValue​(java.lang.Object value)` |
    `java.lang.Object` | `getDefaultValue()` |
    `java.lang.String` | `getName()` |
    `byte` | `getTypeID()` |
    `java.lang.Object` | `readValue​(CDODataInput in)` |
    `void` | `writeValue​(CDODataOutput out, java.lang.Object value)` |

- - ### Field Detail

    - #### OBJECT

          static final CDOType OBJECT

    - #### BOOLEAN

          static final CDOType BOOLEAN

    - #### BOOLEAN_OBJECT

          static final CDOType BOOLEAN_OBJECT

    - #### BYTE

          static final CDOType BYTE

    - #### BYTE_OBJECT

          static final CDOType BYTE_OBJECT

    - #### CHAR

          static final CDOType CHAR

    - #### CHARACTER_OBJECT

          static final CDOType CHARACTER_OBJECT

    - #### DATE

          static final CDOType DATE

    - #### DOUBLE

          static final CDOType DOUBLE

    - #### DOUBLE_OBJECT

          static final CDOType DOUBLE_OBJECT

    - #### FLOAT

          static final CDOType FLOAT

    - #### FLOAT_OBJECT

          static final CDOType FLOAT_OBJECT

    - #### INT

          static final CDOType INT

    - #### INTEGER_OBJECT

          static final CDOType INTEGER_OBJECT

    - #### LONG

          static final CDOType LONG

    - #### LONG_OBJECT

          static final CDOType LONG_OBJECT

    - #### SHORT

          static final CDOType SHORT

    - #### SHORT_OBJECT

          static final CDOType SHORT_OBJECT

    - #### STRING

          static final CDOType STRING

    - #### BYTE_ARRAY

          static final CDOType BYTE_ARRAY

    - #### OBJECT_ARRAY

          static final CDOType OBJECT_ARRAY

      Since:
        3.0

    - #### MAP

          static final CDOType MAP

      Since:
        4.0

    - #### SET

          static final CDOType SET

      Since:
        4.1

    - #### LIST

          static final CDOType LIST

      Since:
        4.1

    - #### BIG_DECIMAL

          static final CDOType BIG_DECIMAL

      Since:
        2.0

    - #### BIG_INTEGER

          static final CDOType BIG_INTEGER

      Since:
        2.0

    - #### ENUM_ORDINAL

          static final CDOType ENUM_ORDINAL

      Since:
        3.0

    - #### ENUM_LITERAL

          static final CDOType ENUM_LITERAL

      Since:
        3.0

    - #### BLOB

          static final CDOType BLOB

      Since:
        4.0

    - #### CLOB

          static final CDOType CLOB

      Since:
        4.0

    - #### JAVA_CLASS

          static final CDOType JAVA_CLASS

      Since:
        4.2

    - #### JAVA_OBJECT

          static final CDOType JAVA_OBJECT

      Since:
        4.2

    - #### CUSTOM

          static final CDOType CUSTOM

    - #### FEATURE_MAP_ENTRY

          @Deprecated
          static final CDOType FEATURE_MAP_ENTRY

      Deprecated.
      As of 4.5 `feature maps` are no longer supported.
      Since:
        2.0

    - #### EXCEPTION

          static final CDOType EXCEPTION

      Since:
        4.3

  - ### Method Detail

    - #### getName

          java.lang.String getName()

    - #### getTypeID

          byte getTypeID()

      Since:
        4.0

    - #### canBeNull

          boolean canBeNull()

    - #### getDefaultValue

          java.lang.Object getDefaultValue()

    - #### copyValue

          java.lang.Object copyValue​(java.lang.Object value)

    - #### adjustReferences

          java.lang.Object adjustReferences​(CDOReferenceAdjuster adjuster,
                                            java.lang.Object value,
                                            org.eclipse.emf.ecore.EStructuralFeature feature,
                                            int index)

      Since:
        4.0

    - #### readValue

          java.lang.Object readValue​(CDODataInput in)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.0

    - #### writeValue

          void writeValue​(CDODataOutput out,
                          java.lang.Object value)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.0

    - #### convertToEMF

          java.lang.Object convertToEMF​(org.eclipse.emf.ecore.EClassifier feature,
                                        java.lang.Object value)

      Since:
        2.0

    - #### convertToCDO

          java.lang.Object convertToCDO​(org.eclipse.emf.ecore.EClassifier feature,
                                        java.lang.Object value)

      Since:
        2.0